Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Attributes | List of all members
eZ\Publish\SPI\Persistence\Content\VersionInfo Class Reference

This class holds version information data. More...

Inheritance diagram for eZ\Publish\SPI\Persistence\Content\VersionInfo:

## Public Attributes
const | STATUS_DRAFT = 0
const | STATUS_PUBLISHED = 1
const | STATUS_PENDING = 2
const | STATUS_ARCHIVED = 3
const | STATUS_REJECTED = 4
const | STATUS_INTERNAL_DRAFT = 5
const | STATUS_REPEAT = 6
const | STATUS_QUEUED = 7
| $id
| $versionNo
| $contentInfo
| $names
| Returns the names computed from the name schema in the available languages. More...
| $creationDate
| $modificationDate
| $creatorId
| $status
| $initialLanguageCode
| $languageCodes = []

## Additional Inherited Members
Public Member Functions inherited from eZ\Publish\API\Repository\Values\ValueObject
| __construct (array $properties=[])
| Construct object optionally with a set of properties. More...
| __set ($property, $value)
| Magic set function handling writes to non public properties. More...
| __get ($property)
| Magic get function handling read to non public properties. More...
| __isset ($property)
| Magic isset function handling isset() to non public properties. More...
| __unset ($property)
| Magic unset function handling unset() to non public properties. More...
| attribute ($property)
| Internal function for Legacy template engine compatibility to get property value. More...
| attributes ()
| Internal function for Legacy template engine compatibility to get properties. More...
| hasAttribute ($property)
| Internal function for Legacy template engine compatibility to check existence of property. More...
Static Public Member Functions inherited from eZ\Publish\API\Repository\Values\ValueObject
static | __set_state (array $array)
| Returns a new instance of this class with the data specified by $array. More...
Protected Member Functions inherited from eZ\Publish\API\Repository\Values\ValueObject
| getProperties ($dynamicProperties=[])
| Function where list of properties are returned. More...

## Detailed Description

This class holds version information data.

Definition at line 14 of file SPI/Persistence/Content/VersionInfo.php.

## Member Data Documentation

## ◆ $contentInfo

eZ\Publish\SPI\Persistence\Content\VersionInfo::$contentInfo

Definition at line 52 of file SPI/Persistence/Content/VersionInfo.php.

## ◆ $creationDate

eZ\Publish\SPI\Persistence\Content\VersionInfo::$creationDate

Definition at line 67 of file SPI/Persistence/Content/VersionInfo.php.

## ◆ $creatorId

eZ\Publish\SPI\Persistence\Content\VersionInfo::$creatorId

Definition at line 83 of file SPI/Persistence/Content/VersionInfo.php.

## ◆ $id

eZ\Publish\SPI\Persistence\Content\VersionInfo::$id

Definition at line 35 of file SPI/Persistence/Content/VersionInfo.php.

## ◆ $initialLanguageCode

eZ\Publish\SPI\Persistence\Content\VersionInfo::$initialLanguageCode

Definition at line 97 of file SPI/Persistence/Content/VersionInfo.php.

## ◆ $languageCodes

eZ\Publish\SPI\Persistence\Content\VersionInfo::$languageCodes = []

Definition at line 106 of file SPI/Persistence/Content/VersionInfo.php.

## ◆ $modificationDate

eZ\Publish\SPI\Persistence\Content\VersionInfo::$modificationDate

Definition at line 74 of file SPI/Persistence/Content/VersionInfo.php.

## ◆ $names

eZ\Publish\SPI\Persistence\Content\VersionInfo::$names

Returns the names computed from the name schema in the available languages.

Eg. array( 'eng-GB' => "New Article" ).

Returns
  string[]

Definition at line 60 of file SPI/Persistence/Content/VersionInfo.php.

## ◆ $status

eZ\Publish\SPI\Persistence\Content\VersionInfo::$status

Definition at line 90 of file SPI/Persistence/Content/VersionInfo.php.

## ◆ $versionNo

eZ\Publish\SPI\Persistence\Content\VersionInfo::$versionNo

Definition at line 45 of file SPI/Persistence/Content/VersionInfo.php.

## ◆ STATUS_ARCHIVED

read int $status the status of this version One of VersionInfo::STATUS_DRAFT VersionInfo::STATUS_PUBLISHED eZ\Publish\Core\REST\Client\Values\Content\VersionInfo::STATUS_ARCHIVED = 3

Definition at line 24 of file SPI/Persistence/Content/VersionInfo.php.

Referenced by eZ\Publish\Core\Persistence\Legacy\Content\Handler\publish().

## ◆ STATUS_DRAFT

const eZ\Publish\SPI\Persistence\Content\VersionInfo::STATUS_DRAFT = 0

Definition at line 21 of file SPI/Persistence/Content/VersionInfo.php.

Referenced by eZ\Publish\Core\Persistence\Legacy\Content\Handler\countDraftsForUser(), eZ\Publish\Core\Persistence\Legacy\Content\Mapper\createVersionInfoForContent(), eZ\Publish\Core\Persistence\Legacy\Content\Mapper\createVersionInfoFromCreateStruct(), eZ\Publish\Core\REST\Server\Controller\Content\loadContentInVersion(), eZ\Publish\Core\Persistence\Legacy\Content\Handler\loadDraftListForUser(), and eZ\Publish\Core\Persistence\Legacy\Content\Handler\loadDraftsForUser().

## ◆ STATUS_INTERNAL_DRAFT

const eZ\Publish\SPI\Persistence\Content\VersionInfo::STATUS_INTERNAL_DRAFT = 5

Definition at line 26 of file SPI/Persistence/Content/VersionInfo.php.

## ◆ STATUS_PENDING

const eZ\Publish\SPI\Persistence\Content\VersionInfo::STATUS_PENDING = 2

Definition at line 23 of file SPI/Persistence/Content/VersionInfo.php.

## ◆ STATUS_PUBLISHED

const eZ\Publish\SPI\Persistence\Content\VersionInfo::STATUS_PUBLISHED = 1

Definition at line 22 of file SPI/Persistence/Content/VersionInfo.php.

Referenced by eZ\Publish\Core\FieldType\Keyword\KeywordStorage\deleteFieldData(), eZ\Publish\Core\Persistence\Legacy\Content\Gateway\DoctrineDatabase\setPublishedStatus(), and eZ\Publish\Core\Persistence\Cache\ContentHandler\setStatus().

## ◆ STATUS_QUEUED

const eZ\Publish\SPI\Persistence\Content\VersionInfo::STATUS_QUEUED = 7

Definition at line 28 of file SPI/Persistence/Content/VersionInfo.php.

## ◆ STATUS_REJECTED

const eZ\Publish\SPI\Persistence\Content\VersionInfo::STATUS_REJECTED = 4

Definition at line 25 of file SPI/Persistence/Content/VersionInfo.php.

## ◆ STATUS_REPEAT

const eZ\Publish\SPI\Persistence\Content\VersionInfo::STATUS_REPEAT = 6

Definition at line 27 of file SPI/Persistence/Content/VersionInfo.php.

The documentation for this class was generated from the following file:

- SPI/Persistence/Content/VersionInfo.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.